*** /NextDeveloper/Makefiles/app/app.make	Thu Jul 15 14:56:33 1993
--- app.make	Mon Feb 27 11:42:26 1995
***************
*** 75,88 ****
  #	INSTALLDIR - Directory app will be installed into by 'install' target
  #
  
! APPICONFLAGS =  -sectcreate __ICON __header $(NAME).iconheader  \
! 		-segprot __ICON r r $(ICONSECTIONS) \
!                 $(OTHER_ICONSECTIONS)
  
! ICONHEADER = $(NAME).iconheader
! PRODUCT_ROOT = $(SYMROOT)/$(NAME).app
  
! APP_MAKEFILE_DIR = /NextDeveloper/Makefiles/app
  include $(APP_MAKEFILE_DIR)/common.make
  
  
--- 75,86 ----
  #	INSTALLDIR - Directory app will be installed into by 'install' target
  #
  
! APPICONFLAGS =
  
! ICONHEADER =
! PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xapp
  
! APP_MAKEFILE_DIR = $(MAKEFILEDIR)
  include $(APP_MAKEFILE_DIR)/common.make
  
  
***************
*** 91,98 ****
  
  	
  app::
! 	@($(MKDIRS) $(SYMROOT)/$(NAME).app ; \
!  	$(process_target_archs)_obj ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
--- 89,98 ----
  
  	
  app::
! 	@(if [ ! -d  $(SYMROOT)/$(NAME).Xapp ] ; then \
! 		$(MKDIRS) $(SYMROOT)/$(NAME).Xapp ; \
! 	fi ; \
!  	$(process_target_archs)_obj" ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
***************
*** 103,112 ****
  		libs="$(LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_libs="$(OTHER_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  	fi ; \
! 	$(MAKE) project \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).app" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).app" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).app/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(NORMAL_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" \
--- 103,112 ----
  		libs="$(LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_libs="$(OTHER_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  	fi ; \
! 	$(MAKE) project -f MakefileX \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xapp" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xapp" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).Xapp/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(NORMAL_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" \
***************
*** 121,128 ****
  		"SYM_DIR = $(SYMROOT)/sym" )
  
  debug::
! 	@($(MKDIRS) $(NAME).debug ; \
!  	$(process_target_archs)_debug_obj ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
--- 121,130 ----
  		"SYM_DIR = $(SYMROOT)/sym" )
  
  debug::
! 	@(if [ ! -d  $(SYMROOT)/$(NAME).Xdebug ] ; then \
! 		$(MKDIRS) $(SYMROOT)/$(NAME).Xdebug ; \
! 	fi ; \
!  	$(process_target_archs)_debug_obj" ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
***************
*** 135,144 ****
  		other_libs="$(OTHER_DEBUG_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_japanese_libs="$(OTHER_JAPANESE_DEBUG_LIBS)" ; \
  	fi ; \
! 	$(MAKE) project \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).debug" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).debug" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).debug/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(DEBUG_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" "OTHER_LIBS = $$other_libs" \
--- 137,146 ----
  		other_libs="$(OTHER_DEBUG_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_japanese_libs="$(OTHER_JAPANESE_DEBUG_LIBS)" ; \
  	fi ; \
! 	$(MAKE) project -f MakefileX \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xdebug" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xdebug" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).Xdebug/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(DEBUG_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" "OTHER_LIBS = $$other_libs" \
***************
*** 153,160 ****
  		"SYM_DIR = $(SYMROOT)/sym" )
  
  profile::
! 	@($(MKDIRS) $(NAME).profile ; \
!  	$(process_target_archs)_profile_obj ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
--- 155,164 ----
  		"SYM_DIR = $(SYMROOT)/sym" )
  
  profile::
! 	@(if [ ! -d  $(SYMROOT)/$(NAME).Xprofile ] ; then \
! 		$(MKDIRS) $(SYMROOT)/$(NAME).Xprofile ; \
! 	fi ; \
!  	$(process_target_archs)_profile_obj" ; \
  	$(set_bundle_ext) ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
***************
*** 167,176 ****
  		other_libs="$(OTHER_PROF_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_japanese_libs="$(OTHER_JAPANESE_PROF_LIBS)" ; \
  	fi ; \
! 	$(MAKE) project \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).profile" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).profile" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).profile/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(PROFILE_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" "OTHER_LIBS = $$other_libs" \
--- 171,180 ----
  		other_libs="$(OTHER_PROF_LIBS:lNeXT_s=lNeXTJ_s)" ; \
  		other_japanese_libs="$(OTHER_JAPANESE_PROF_LIBS)" ; \
  	fi ; \
! 	$(MAKE) project -f MakefileX \
! 		"PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xprofile" \
! 		"TOP_PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xprofile" \
! 		"PRODUCT = $(SYMROOT)/$(NAME).Xprofile/$(NAME)" \
  		"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  		"PROJ_CFLAGS = $(PROFILE_CFLAGS) $$language_cflags" \
  		"LIBS = $$libs" "OTHER_LIBS = $$other_libs" \
***************
*** 186,196 ****
  
  
  
! depend:: Makefile.dependencies $(SUBPROJECTS:.subproj=.depend) $(BUNDLES:.bproj=.depend) $(TOOLS:.tproj=.depend)
  
  # Note: The order of the following project dependencies is very important.  subcomponents must be after $(PROJECT_OFILES) in case a subcomponent relies upon something (e.g. generated .h file) at the top level, but all subprojects must be built (hopefully by one invocation of make in that subdirectory) before the $(PRODUCT) can be linked.
  
! project::   $(INITIAL_TARGETS) toplevel_subcomponents resources $(PRODUCT)
  
  toplevel_subcomponents:: subprojs bundles tools
  	-@($(RM) -f $(TOP_PRODUCT_ROOT)/$(CHANGES_FILE) ; \
--- 190,210 ----
  
  
  
! #depend:: $(SUBPROJECTS:.subproj=.depend) $(BUNDLES:.bproj=.depend) $(TOOLS:.tproj=.depend)
! #	echo starting $(MAKEDEPEND); \
! #	$(MAKEDEPEND) -- $(ALL_CFLAGS) -I./ -- -fMakefileX \
! #	$(CLASSES) $(MFILES) $(CFILES); \
! #	echo ending $(MAKEDEPEND) \
  
+ depend: force $(SUBPROJECTS:.subproj=.depend) $(BUNDLES:.bproj=.depend) $(TOOLS:.tproj=.depend)
+ 	$(MAKEDEPEND) -- $(ALL_CFLAGS) -I./ -- -fMakefileX.dependencies \
+ 	$(CLASSES) $(MFILES) $(CFILES); \
+ 
+ force:
+ 
  # Note: The order of the following project dependencies is very important.  subcomponents must be after $(PROJECT_OFILES) in case a subcomponent relies upon something (e.g. generated .h file) at the top level, but all subprojects must be built (hopefully by one invocation of make in that subdirectory) before the $(PRODUCT) can be linked.
  
! project:: move_ofiles $(INITIAL_TARGETS) toplevel_subcomponents resources $(PRODUCT) move_ofiles_back
  
  toplevel_subcomponents:: subprojs bundles tools
  	-@($(RM) -f $(TOP_PRODUCT_ROOT)/$(CHANGES_FILE) ; \
***************
*** 213,220 ****
  	else \
  		other_japanese_libs="$(OTHER_JAPANESE_LIBS)" ; \
  	fi ; \
! 	cmd="$(CC) $(ALL_CFLAGS) $(OBJCFLAG) $(LDFLAGS) $(OTHER_LDFLAGS) \
! 		$(APPICONFLAGS) -o $(PRODUCT) $(OFILES) $(OTHER_OFILES) \
  		$$adaptors $$other_japanese_libs $(OTHER_LIBS) $(LIBS)" ; \
  	echo $$cmd ; \
  	$$cmd	)
--- 227,235 ----
  	else \
  		other_japanese_libs="$(OTHER_JAPANESE_LIBS)" ; \
  	fi ; \
! 	$(MV) -f *.o $(OFILE_DIR) ; \
! 	cmd="$(CC) $(LDFLAGS) $(OTHER_LDFLAGS) \
! 		$(APPICONFLAGS) -o $(PRODUCT) $(OFILESWITHPATHS) $(OTHER_OFILES) \
  		$$adaptors $$other_japanese_libs $(OTHER_LIBS) $(LIBS)" ; \
  	echo $$cmd ; \
  	$$cmd	)
***************
*** 221,274 ****
  	
  
  $(DSTROOT)$(INSTALLDIR):
! 	$(MKDIRS) $(DSTROOT)$(INSTALLDIR)
  
  before_install:: $(DSTROOT)$(INSTALLDIR)
! 	$(RM) -rf $(DSTROOT)$(INSTALLDIR)/$(NAME).app
  
  after_install::
  
  
  install:: app before_install installhdrs $(OTHER_INSTALL_DEPENDS)
! 	(cd $(SYMROOT); $(TAR) chf - $(NAME).app) | (cd $(DSTROOT)$(INSTALLDIR); $(TAR) xf -)
  	@somebundles=no; \
  	for i in $(BUNDLES:.bproj=) none ; do \
  		if [ $$i = none ] ; then continue; fi; \
! 		if [ -f $(DSTROOT)$(INSTALLDIR)/$(NAME).app/$$i*/$$i ] ; then \
  			somebundles=yes; \
  		fi ; \
  	done; \
  	if [ $$somebundles = yes ] ; then \
! 		cmd="$(STRIP) $(DYLD_APP_STRIP_OPTS) $(DSTROOT)$(INSTALLDIR)/$(NAME).app/$(NAME)"; \
  	else \
! 		cmd="$(STRIP) $(APP_STRIP_OPTS) $(DSTROOT)$(INSTALLDIR)/$(NAME).app/$(NAME)"; \
  	fi ; \
         	echo $$cmd ; $$cmd ; \
! 	$(MAKE) strip "DSTROOT = $(DSTROOT)" \
! 		      "PARENT_DIR = $(INSTALLDIR)/$(NAME).app" ; \
! 	$(RM) -f $(DSTROOT)$(INSTALLDIR)/$(NAME).app/$(CHANGES_FILE)
  	-$(CHOWN) -Rf $(INSTALL_AS_USER).$(INSTALL_AS_GROUP) \
! 		$(DSTROOT)$(INSTALLDIR)/$(NAME).app
! 	-$(CHMOD) -Rf go-w $(DSTROOT)$(INSTALLDIR)/$(NAME).app
  	@(if [ "$(INSTALL_PERMISSIONS)" != "" ] ; then \
  		$(ECHO) $(CHMOD) -f $(INSTALL_PERMISSIONS) \
! 			$(DSTROOT)$(INSTALLDIR)/$(NAME).app/$(NAME); \
  		$(CHMOD) -f $(INSTALL_PERMISSIONS) \
! 			$(DSTROOT)$(INSTALLDIR)/$(NAME).app/$(NAME); \
  	fi)
! 	@($(process_target_archs)_obj ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
  	else \
  		language_cflags="-DKANJI" ; \
  	fi ; \
! 	$(MAKE) after_install 	"DSTROOT=$(DSTROOT)" \
  			       	"OBJROOT=$(OBJROOT)" \
  				"SYMROOT = $(SYMROOT)/sym" \
  				"SYM_DIR = $(SYMROOT)/sym" \
  				"INSTALLDIR = $(INSTALLDIR)" \
! 				"PRODUCT_ROOT = $(SYMROOT)/$(NAME).app" \
! 				"PRODUCT = $(SYMROOT)/$(NAME).app/$(NAME)" \
  				"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  				"PROJ_CFLAGS = $(NORMAL_CFLAGS) $$language_cflags" \
  				"APP_MAKEFILE_DIR = $(APP_MAKEFILE_DIR)" \
--- 236,291 ----
  	
  
  $(DSTROOT)$(INSTALLDIR):
! 	if [ ! -d  $(DSTROOT)$(INSTALLDIR) ] ; then \
! 		$(MKDIRS) $(DSTROOT)$(INSTALLDIR) ; \
! 	fi
  
  before_install:: $(DSTROOT)$(INSTALLDIR)
! 	$(RM) -rf $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp
  
  after_install::
  
  
  install:: app before_install installhdrs $(OTHER_INSTALL_DEPENDS)
! 	(cd $(SYMROOT); $(TAR) chf - $(NAME).Xapp) | (cd $(DSTROOT)$(INSTALLDIR); $(TAR) xf -)
  	@somebundles=no; \
  	for i in $(BUNDLES:.bproj=) none ; do \
  		if [ $$i = none ] ; then continue; fi; \
! 		if [ -f $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$$i*/$$i ] ; then \
  			somebundles=yes; \
  		fi ; \
  	done; \
  	if [ $$somebundles = yes ] ; then \
! 		cmd="$(STRIP) $(DYLD_APP_STRIP_OPTS) $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$(NAME)"; \
  	else \
! 		cmd="$(STRIP) $(APP_STRIP_OPTS) $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$(NAME)"; \
  	fi ; \
         	echo $$cmd ; $$cmd ; \
! 	$(MAKE) strip -f MakefileX "DSTROOT = $(DSTROOT)" \
! 		      "PARENT_DIR = $(INSTALLDIR)/$(NAME).Xapp" ; \
! 	$(RM) -f $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$(CHANGES_FILE)
  	-$(CHOWN) -Rf $(INSTALL_AS_USER).$(INSTALL_AS_GROUP) \
! 		$(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp
! 	-$(CHMOD) -Rf go-w $(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp
  	@(if [ "$(INSTALL_PERMISSIONS)" != "" ] ; then \
  		$(ECHO) $(CHMOD) -f $(INSTALL_PERMISSIONS) \
! 			$(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$(NAME); \
  		$(CHMOD) -f $(INSTALL_PERMISSIONS) \
! 			$(DSTROOT)$(INSTALLDIR)/$(NAME).Xapp/$(NAME); \
  	fi)
! 	@($(process_target_archs)_obj" ; \
  	if [ "$(ENGLISH)" = "YES" -o "$(JAPANESE)" != "YES" ] ; then \
  		language_cflags="" ; \
  	else \
  		language_cflags="-DKANJI" ; \
  	fi ; \
! 	$(MAKE) after_install -f MakefileX 	"DSTROOT=$(DSTROOT)" \
  			       	"OBJROOT=$(OBJROOT)" \
  				"SYMROOT = $(SYMROOT)/sym" \
  				"SYM_DIR = $(SYMROOT)/sym" \
  				"INSTALLDIR = $(INSTALLDIR)" \
! 				"PRODUCT_ROOT = $(SYMROOT)/$(NAME).Xapp" \
! 				"PRODUCT = $(SYMROOT)/$(NAME).Xapp/$(NAME)" \
  				"OFILE_DIR = $(OBJROOT)/$$obj_dir" \
  				"PROJ_CFLAGS = $(NORMAL_CFLAGS) $$language_cflags" \
  				"APP_MAKEFILE_DIR = $(APP_MAKEFILE_DIR)" \
